import request from '@/utils/request'

// 查询不合格处理列表
export function listUnqualified(query) {
	return request({
		url: '/quality/unqualified/list',
		method: 'get',
		params: query
	});
}

// 查询不合格处理详细
export function getUnqualified(id) {
	return request({
		url: '/quality/unqualified/' + id,
		method: 'get'
		});
}

// 新增不合格处理
export function addUnqualified(data) {
	return request({
		url: '/quality/unqualified',
		method: 'post',
		data: data
	});
}

// 修改不合格处理
export function updateUnqualified(data) {
	return request({
		url: '/quality/unqualified',
		method: 'put',
		data: data
	});
}

// 删除不合格处理
export function delUnqualified(id) {
	return request({
		url: '/quality/unqualified/' + id,
		method: 'delete'
	});
}
